## List Parse Jobs **get** `/api/v2/parse` List parse jobs for the current project. Filter by `status` or creation date range. Results are paginated — use `page_token` from the response to fetch subsequent pages. ### Query Parameters - `created_at_on_or_after: optional string` Include items created at or after this timestamp (inclusive) - `created_at_on_or_before: optional string` Include items created at or before this timestamp (inclusive) - `job_ids: optional array of string` Filter by specific job IDs - `organization_id: optional string` - `page_size: optional number` Number of items per page - `page_token: optional string` Token for pagination - `project_id: optional string` - `status: optional "PENDING" or "RUNNING" or "COMPLETED" or 2 more` Filter by job status (PENDING, RUNNING, COMPLETED, FAILED, CANCELLED) - `"PENDING"` - `"RUNNING"` - `"COMPLETED"` - `"FAILED"` - `"CANCELLED"` ### Cookie Parameters - `session: optional string` ### Returns - `items: array of object { id, project_id, status, 5 more }` The list of items. - `id: string` Unique parse job identifier - `project_id: string` Project this job belongs to - `status: "PENDING" or "RUNNING" or "COMPLETED" or 2 more` Current job status: PENDING, RUNNING, COMPLETED, FAILED, or CANCELLED - `"PENDING"` - `"RUNNING"` - `"COMPLETED"` - `"FAILED"` - `"CANCELLED"` - `created_at: optional string` Creation datetime - `error_message: optional string` Error details when status is FAILED - `name: optional string` Optional display name for this parse job - `tier: optional string` Parsing tier used for this job - `updated_at: optional string` Update datetime - `next_page_token: optional string` A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages. - `total_size: optional number` The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only. ### Example ```http curl https://api.cloud.llamaindex.ai/api/v2/parse \ -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" ``` #### Response ```json { "items": [ { "id": "pjb-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee", "project_id": "prj-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee", "status": "PENDING", "created_at": "2019-12-27T18:11:19.117Z", "error_message": "error_message", "name": "Q4 Financial Report", "tier": "fast", "updated_at": "2019-12-27T18:11:19.117Z" } ], "next_page_token": "next_page_token", "total_size": 0 } ```